unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, TeeURL, TeeSeriesTextEd, Series, ExtCtrls, TeeProcs, Chart,
  CurvFitt, TeeSeriesStats;

type
  TValue = record
    year : integer;
    temp : double;
  end;

const
  values : Array[0..134] of TValue = (
    (year:1878;temp:12.5),
    (year:1969;temp:11.7),
    (year:1990;temp:11.0),
    (year:1898;temp:11.4),
    (year:1918;temp:11.4),
    (year:1884;temp:11.4),
    (year:1899;temp:10.1),
    (year:1901;temp:10.1),
    (year:1976;temp:10.9),
    (year:1902;temp:10.0),
    (year:1937;temp:11.7),
    (year:1981;temp:10.4),
    (year:1994;temp:10.5),
    (year:1888;temp:10.2),
    (year:2002;temp:9.5),
    (year:1944;temp:10.6),
    (year:2012;temp:10.5),
    (year:1921;temp:8.8),
    (year:1943;temp:9.4),
    (year:1916;temp:10.0),
    (year:1924;temp:8.5),
    (year:1993;temp:8.1),
    (year:1975;temp:10.5),
    (year:1900;temp:10.6),
    (year:2004;temp:8.3),
    (year:1959;temp:9.1),
    (year:1971;temp:8.8),
    (year:1923;temp:10.1),
    (year:1932;temp:9.7),
    (year:1928;temp:8.1),
    (year:1960;temp:11.8),
    (year:1974;temp:9.6),
    (year:2003;temp:8.3),
    (year:1970;temp:9.3),
    (year:1951;temp:7.8),
    (year:1957;temp:7.6),
    (year:1930;temp:9.4),
    (year:1938;temp:10.7),
    (year:1939;temp:8.1),
    (year:1893;temp:7.7),
    (year:1894;temp:6.9),
    (year:1986;temp:9.5),
    (year:1977;temp:7.7),
    (year:1949;temp:8.4),
    (year:1954;temp:6.2),
    (year:1955;temp:6.8),
    (year:1903;temp:7.4),
    (year:2008;temp:10.3),
    (year:1972;temp:9.1),
    (year:1962;temp:7.0),
    (year:1987;temp:6.5),
    (year:1989;temp:8.9),
    (year:1983;temp:6.4),
    (year:2009;temp:8.6),
    (year:1980;temp:6.6),
    (year:1956;temp:7.2),
    (year:1982;temp:7.2),
    (year:1931;temp:8.1),
    (year:1995;temp:6.2),
    (year:1961;temp:5.3),
    (year:1883;temp:6.3),
    (year:1968;temp:5.4),
    (year:2000;temp:7.3),
    (year:1922;temp:9.0),
    (year:1925;temp:8.0),
    (year:2001;temp:8.5),
    (year:1926;temp:9.9),
    (year:2010;temp:8.1),
    (year:1967;temp:7.0),
    (year:1887;temp:6.7),
    (year:1920;temp:7.9),
    (year:1882;temp:6.2),
    (year:1890;temp:6.6),
    (year:1911;temp:4.9),
    (year:1973;temp:7.1),
    (year:1941;temp:6.5),
    (year:1935;temp:6.8),
    (year:1953;temp:5.6),
    (year:1998;temp:6.1),
    (year:1889;temp:5.3),
    (year:2007;temp:5.7),
    (year:1892;temp:6.6),
    (year:1985;temp:4.6),
    (year:1948;temp:5.0),
    (year:1978;temp:5.9),
    (year:1906;temp:4.6),
    (year:1919;temp:5.0),
    (year:1891;temp:5.6),
    (year:1964;temp:5.7),
    (year:1915;temp:5.0),
    (year:1996;temp:4.5),
    (year:1913;temp:6.5),
    (year:1991;temp:5.2),
    (year:1988;temp:4.1),
    (year:1912;temp:3.2),
    (year:1997;temp:4.8),
    (year:2006;temp:5.4),
    (year:1896;temp:5.8),
    (year:1966;temp:3.2),
    (year:1965;temp:5.1),
    (year:1895;temp:4.6),
    (year:1914;temp:2.7),
    (year:1952;temp:2.3),
    (year:1999;temp:4.7),
    (year:2005;temp:4.0),
    (year:1909;temp:2.7),
    (year:1927;temp:4.5),
    (year:1934;temp:3.2),
    (year:1907;temp:3.0),
    (year:1950;temp:3.9),
    (year:1947;temp:3.2),
    (year:1905;temp:2.1),
    (year:1936;temp:2.7),
    (year:1984;temp:3.3),
    (year:2011;temp:5.0),
    (year:1886;temp:2.0),
    (year:1908;temp:3.4),
    (year:1897;temp:2.3),
    (year:1904;temp:3.6),
    (year:1929;temp:1.9),
    (year:1917;temp:0.4),
    (year:1910;temp:2.2),
    (year:1946;temp:3.5),
    (year:1885;temp:2.4),
    (year:1933;temp:1.3),
    (year:1979;temp:0.5),
    (year:1880;temp:2.8),
    (year:1992;temp:2.4),
    (year:1945;temp:0.8),
    (year:1879;temp:-0.5),
    (year:1942;temp:1.6),
    (year:1958;temp:0.7),
    (year:1940;temp:0.9),
    (year:1963;temp:-1.8),
    (year:1881;temp:-0.4));
type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: TPointSeries;
    ChartTool1: TSeriesStatsTool;
    procedure FormCreate(Sender: TObject);
  private
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var
  i : integer;
begin
  Series1.Clear;

  for i:=0 to High(values)-1 do
    Series1.AddXY(values[i].year,values[i].temp);

  Chart1[1].CheckDataSource;
end;

end.

